Bug 468766 - drm oops on Macbook Pro booting via EFI
drm oops on Macbook Pro booting via EFI
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-10-27 17:09 EDT by Jeremy Katz
Modified: 2009-09-14 11:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 11:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2008-10-27 17:09:16 EDT
Booting a 32bit Macbook Pro with ATI graphics via EFI oopses on X start

BUG: unable to handle kernel NULL pointer dereference at 00000000
IP: [<c0524912>] __list_add+0x2a/0x5c
*pde = 2ebf4067 *pte = 00000000 
Oops: 0000 [#2] SMP 
Modules linked in: sco bridge stp bnep l2cap bluetooth sunrpc ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm iTCO_wdt iTCO_vendor_support joydev i2c_i801 pcspkr isight_firmware snd_timer snd_page_alloc radeon(+) snd_hwdep snd drm appletouch sky2 ath5k soundcore i2c_algo_bit i2c_core video tpm_infineon tpm output tpm_bios squashfs vfat fat firewire_ohci firewire_core crc_itu_t ata_generic pata_acpi usb_storage [last unloaded: microcode]

Pid: 3322, comm: X Tainted: G      D   (2.6.27.4-51.fc10.i686 #1)
EIP: 0060:[<c0524912>] EFLAGS: 00213246 CPU: 0
EIP is at __list_add+0x2a/0x5c
EAX: 00000000 EBX: f6b236f0 ECX: f6b236f0 EDX: 00000000
ESI: 00000000 EDI: eebb1ee8 EBP: eebb1ed0 ESP: eebb1ec4
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process X (pid: 3322, ti=eebb1000 task=f5f5b300 task.ti=eebb1000)
Stack: f6b236e8 f5f5b300 f6b236ec eebb1f00 c06c4c85 ee9c8380 eebb1f0c 00000002 
       f6b236f0 f5ed2ca0 00000000 eebb1efc f6b236e8 f6b23000 f2ce3d20 eebb1f0c 
       c06c4dcf c06c4c4e eebb1f1c c06c4c4e eebb1f1c f2ce3d20 eebb1f34 f91502da 
Call Trace:
 [<c06c4c85>] ? __mutex_lock_common+0x33/0xd9
 [<c06c4dcf>] ? __mutex_lock_slowpath+0x12/0x15
 [<c06c4c4e>] ? mutex_lock+0x29/0x2d
 [<c06c4c4e>] ? mutex_lock+0x29/0x2d
 [<f91502da>] ? drm_fb_release+0x22/0x5c [drm]
 [<f9144d8e>] ? drm_release+0x295/0x3a1 [drm]
 [<c04910f1>] ? __fput+0xad/0x13d
 [<c0491198>] ? fput+0x17/0x19
 [<c048ea43>] ? filp_close+0x50/0x5a
 [<c048eabf>] ? sys_close+0x72/0xb1
 [<c0403c76>] ? syscall_call+0x7/0xb
 [<c06c007b>] ? init_cyrix+0x21d/0x490
 =======================
Code: c3 55 89 e5 57 89 c7 56 89 d6 53 8b 41 04 89 cb 39 d0 74 17 51 50 52 68 12 b0 79 c0 6a 1a 68 c7 af 79 c0 e8 dc 70 f0 ff 83 c4 18 <8b> 06 39 d8 74 17 56 50 53 68 5f b0 79 c0 6a 1e 68 c7 af 79 c0 
EIP: [<c0524912>] __list_add+0x2a/0x5c SS:ESP 0068:eebb1ec4
---[ end trace 0dc4a44172a202ca ]---

after which the display is dead.


During the boot process, we get another oops from the modesetting code
BUG: unable to handle kernel NULL pointer dereference at 00000010
IP: [<f91b0f91>] :radeon:radeon_modeset_preinit+0xc9/0x1e6
*pde = 3ecc2067 
Oops: 0000 [#1] SMP 
Modules linked in: radeon(+) snd_hwdep snd drm appletouch sky2 ath5k soundcore i2c_algo_bit i2c_core video tpm_infineon tpm output tpm_bios squashfs vfat fat firewire_ohci firewire_core crc_itu_t ata_generic pata_acpi usb_storage

Pid: 1682, comm: modprobe Not tainted (2.6.27.4-51.fc10.i686 #1)
EIP: 0060:[<f91b0f91>] EFLAGS: 00010246 CPU: 1
EIP is at radeon_modeset_preinit+0xc9/0x1e6 [radeon]
EAX: f5f53000 EBX: f9180000 ECX: 90320000 EDX: 00000010
ESI: f9180000 EDI: 00000010 EBP: f5e6eee8 ESP: f5e6eecc
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process modprobe (pid: 1682, ti=f5e6e000 task=f5f32640 task.ti=f5e6e000)
Stack: f6b23000 f5f53000 f5f53000 00000000 00010000 f5f53000 00000000 f5e6ef00 
       f91b14c9 f6b23000 f6b23000 00000000 00000000 f5e6ef24 f9148848 f91e1e44 
       f91e34cc f78f9800 f6b232ac f78f9800 f91e34cc 000014e4 f5e6ef3c f91446d3 
Call Trace:
 [<f91b14c9>] ? radeon_driver_load+0x1ca/0x49e [radeon]
 [<f9148848>] ? drm_get_dev+0x319/0x3ac [drm]
 [<f91446d3>] ? drm_init+0x44/0x79 [drm]
 [<f90a5057>] ? radeon_init+0x57/0x59 [radeon]
 [<c0401125>] ? _stext+0x3d/0x115
 [<f90a5000>] ? radeon_init+0x0/0x59 [radeon]
 [<c0426133>] ? try_to_wake_up+0x221/0x22b
 [<c044be69>] ? sys_init_module+0x87/0x178
 [<c0403c76>] ? syscall_call+0x7/0xb
 [<c06c007b>] ? init_cyrix+0x21d/0x490
 =======================
Code: 89 de 89 c1 c1 e9 02 f3 a5 89 c1 83 e1 03 74 02 f3 a4 8b 4d e4 89 da 8b 81 74 02 00 00 e8 bd bd 37 c7 8b 45 ec 8b 90 d0 0a 00 00 <80> 3a 55 0f 85 ab 00 00 00 80 7a 01 aa 0f 85 a1 00 00 00 0f b6 
EIP: [<f91b0f91>] radeon_modeset_preinit+0xc9/0x1e6 [radeon] SS:ESP 0068:f5e6eecc
---[ end trace 0dc4a44172a202ca ]---

which is likely the root.
Comment 1 Bug Zapper 2008-11-25 23:19:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chris Ward 2009-04-06 05:30:26 EDT
~Attention~

This bug appears to pertain to an important F11 feature, EFI, which the Fedora Community will be testing in an upcoming Fedora Test Day. Your participation in the action would be greatly appreciated!

More information:
https://fedoraproject.org/wiki/QA/Test_Days/2009-04-09
https://fedoraproject.org/wiki/Features/EFI
Comment 4 Tom "spot" Callaway 2009-09-14 11:55:01 EDT
I don't have this hardware (I inherited this bug from Jeremy Katz), so I'm closing this bug out.

Note You need to log in before you can comment on or make changes to this bug.